/[suikacvs]/test/suikawebwww/style/html/common-class.css
Suika

Contents of /test/suikawebwww/style/html/common-class.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.6 - (hide annotations) (download) (as text)
Wed Mar 9 08:00:51 2005 UTC (21 years, 4 months ago) by wakaba
Branch: MAIN
Changes since 1.5: +3 -4 lines
File MIME type: text/css
Rule added

1 wakaba 1.1 @charset 'iso-2022-jp';
2 wakaba 1.3 @namespace H3 'urn:x-suika-fam-cx:markup:ietf:html:3:draft:00:';
3 wakaba 1.1 @namespace 'http://www.w3.org/1999/xhtml';
4 wakaba 1.3 @namespace h2 'http://www.w3.org/2002/06/xhtml2';
5 wakaba 1.1 @namespace xml 'http://www.w3.org/XML/1998/namespace';
6    
7 wakaba 1.3 /* Sections */
8    
9     div.section {
10     display: block;
11     }
12     /* XML Alternate: h2|section */
13    
14 wakaba 1.5 /* Column Sections */
15     .column, .column.example {
16     display: block;
17     margin: 1em auto;
18     border: rgb(85, 79, 160) 2px solid;
19     -moz-border-radius: 3%;
20     padding: 1em;
21     max-width: 80%;
22     }
23    
24    
25     /* Paragraphs */
26     div.para {
27     display: block;
28     text-indent: 1em;
29     margin: 0 1em;
30     text-align: justify;
31     }
32     /* XML Alternate: h2|p */
33    
34 wakaba 1.3 /* Figure */
35     .fig {
36     display: block;
37     margin: 1em auto;
38 wakaba 1.5 border: rgb(85, 79, 160) 2px solid;
39     -moz-border-radius: 3%;
40 wakaba 1.3 padding: 0;
41     max-width: 80%;
42     }
43     /* XML Alternate: ???:fig */
44    
45     .fig-body {
46     display: block;
47     margin: 1em;
48     padding: 0;
49     }
50    
51 wakaba 1.2 /* Note */
52    
53     .note {
54     margin-top: 1em;
55     margin-bottom: 1em;
56 wakaba 1.3 margin-right: 5em;
57 wakaba 1.2 text-indent: 0;
58 wakaba 1.3 background-color: transparent;
59     color: green;
60 wakaba 1.2 }
61     /* NOTE: Don't use :before since old documents do or do not have
62     text of "Note: " or so on as part of character data. */
63     /* XML Alternate: H3|note */
64    
65 wakaba 1.5 /* .note.memo (= H3|note), .rationale.memo */
66     .memo {
67     display: block;
68     margin: 0.3em 2em;
69     padding: 0;
70     color: green;
71     background-color: transparent;
72     font-style: normal;
73     }
74     .memo > :first-child:before {
75     display: inline;
76     content: "注意: ";
77     font-weight: bolder;
78     }
79     .memo.info > :first-child:before {
80     content: "参考: ";
81     }
82     .rationale.memo > :first-child:before {
83     content: "解説: ";
84     }
85     .memo:lang(en) {
86     /* NOTE: Selector should be "script=Latin" rather than "lang=en"
87     if there would such a selector... */
88     font-style: italic;
89     }
90     .memo:lang(en) > :first-child:before {
91     content: "Note. ";
92     }
93     .rationale:lang(en) > :first-child:before {
94     content: "Rationale. ";
95     }
96 wakaba 1.6 .memo > p:first-child, .memo > .para:first-child {
97 wakaba 1.5 text-indent: -3em;
98     margin-left: 3em;
99     }
100    
101 wakaba 1.3 /* Example */
102    
103 wakaba 1.2 .example {
104     border: 1px solid rgb(153, 153, 153);
105     padding: 0.5em;
106     background-color: rgb(255, 248, 221);
107     color: rgb(102, 0, 0);
108     }
109     .example:before {
110     content: "例: ";
111 wakaba 1.3 font-weight: bolder;
112     font-family: sans-serif;
113 wakaba 1.2 }
114     .example:lang(en):before {
115 wakaba 1.3 content: "Example. ";
116     }
117    
118 wakaba 1.4 /* For compatibility with old documents */
119     pre.example {
120     padding-left: 2em;
121     }
122     pre.example:before {
123     display: block;
124     text-indent: -1em;
125     }
126    
127 wakaba 1.5 .fig.example:before, .column.example:before {
128 wakaba 1.3 content: "";
129     }
130    
131     .example .comment {
132     background-color: transparent;
133     color: green;
134     text-decoration: none;
135     font-family: "MS Mincho", "Times New Roman", serif;
136     }
137    
138     /* Block Captions */
139    
140     .fig .caption {
141     display: block;
142     text-align: center;
143     font-weight: bolder;
144     font-family: sans-serif;
145     }
146     .fig > .caption:lang(en) {
147     font-weight: normal;
148     font-family: serif;
149     font-transform: small-caps;
150     font-style: italic;
151     }
152    
153     .fig > .caption:before {
154 wakaba 1.5 content: "図: ";
155     }
156     .fig > .caption:lang(en):before {
157     content: "Figure. ";
158     }
159     .fig.example > .caption:before {
160 wakaba 1.3 content: "例: ";
161     }
162 wakaba 1.5 .fig.example > .caption:lang(en):before {
163 wakaba 1.2 content: "Example. ";
164     }
165    
166 wakaba 1.3 /* Inline Captions */
167    
168 wakaba 1.6 p .caption, li .caption {
169 wakaba 1.3 font-weight: bolder;
170     font-family: sans-serif;
171     }
172     /* Example: <p class="note"><span class="caption">Note.</span> ...</p> */
173    
174     /* Phrases */
175    
176     code.uri, code.mail {
177     font-size: smaller;
178     font-style: italic;
179     font-family: "Times New Roman", "Times", serif;
180     }
181    
182     h2|code[class~="uri"]:before, h2|code[class~="mail"]:before {
183     content: "<";
184     }
185     h2|code[class~="uri"]:after, h2|code[class~="mail"]:after {
186     content: ">";
187     }
188     /* Note. Some XHTML 1 documents have enclosing "<" and ">" and
189     others does not. */
190    
191     h2|code[class~="file"]:before, h2|code[class~="file"]:after {
192     content: '"';
193     color: graytext;
194     }
195    
196     code.math, code[class~="uri"] {
197     font-family: "Times New Roman", "Times", serif;
198     }
199    
200 wakaba 1.5 .qname-prefix {
201     font-style: italic;
202     font-family: "Times New Roman", "Times", serif;
203     }
204    
205 wakaba 1.2 /* Emphasis */
206    
207     .weak {
208     font-size: 80%;
209     color: GrayText;
210     background-color: transparent;
211     }
212    
213     /* Footer */
214    
215 wakaba 1.3 .footer, *|*[class~="footer"],
216     /* Old styles (discouraged) */
217     #footer, #FOOTER, body > address, body > .update
218     {
219     margin: 2em 0 0 0;
220     border-top: gray 1px solid;
221     padding-top: 10px;
222     }
223    
224     /* Old style footer (discouraged) */
225     body address + .update {
226     margin: 0;
227     border-top: gray 0 none;
228     padding-top: 0;
229     }
230    
231     .update:before, *|*[class~="update"]:before {
232 wakaba 1.2 content: "修正: ";
233     }
234 wakaba 1.3 .update:lang(en):before, *|*[class~="update"]:lang(en):before {
235 wakaba 1.2 content: "Modified: ";
236     }
237    
238     #w3c-html, #w3c-css {
239     float: right;
240     width: 88px;
241     height: 31px;
242     border: none;
243     }
244 wakaba 1.1
245     /* License
246    
247 wakaba 1.3 Copyright 2003-2005 Wakaba <[email protected]>.
248 wakaba 1.1
249     This program is free software; you can redistribute it and/or modify
250     it under the terms of the GNU General Public License as published by
251     the Free Software Foundation; either version 2 of the License, or
252     (at your option) any later version.
253    
254     This program is distributed in the hope that it will be useful,
255     but WITHOUT ANY WARRANTY; without even the implied warranty of
256     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
257     GNU General Public License for more details.
258    
259     You should have received a copy of the GNU General Public License
260     along with this program; see the file COPYING. If not, write to
261     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
262     Boston, MA 02111-1307, USA.
263    
264     */
265    
266 wakaba 1.6 /* $Date: 2005/03/08 11:58:04 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24